Python
import os
from qaip import Qaip
client = Qaip(
api_key=os.environ.get("QAIP_API_KEY"), # This is the default and can be omitted
)
local_file_group = client.local_file_groups.retrieve(
"id",
)
print(local_file_group.id)curl --request GET \
--url https://developer.qaip.com/api/v1/local-file-groups/{id} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://developer.qaip.com/api/v1/local-file-groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"status": "unknown",
"upload_time": 123,
"creation_time": 123,
"start_time": 123,
"end_time": 123,
"error": {
"title": "<string>",
"message": "<string>"
},
"metadata": {
"records": [
{
"key": "<string>",
"val": "<string>",
"type": "string"
}
]
},
"chunk_metadata_keys": [
{
"key": "<string>",
"type": "string"
}
],
"chunk_metadatas_count": 123
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}References
Get local file group
Returns a single local file group by ID.
Required scope: ingestion:manage
GET
/
local-file-groups
/
{id}
Python
import os
from qaip import Qaip
client = Qaip(
api_key=os.environ.get("QAIP_API_KEY"), # This is the default and can be omitted
)
local_file_group = client.local_file_groups.retrieve(
"id",
)
print(local_file_group.id)Authorizations
API key for authentication
Path Parameters
Response
Successful retrieval of local file group
Local file group ID
Local file group name
Job status
Available options:
unknown, queued, not_started, managed, starting, started, success, failure, canceling, canceled, deleting, delete_job_failure Upload time (Unix timestamp in seconds)
Creation time (Unix timestamp in seconds)
Start time (Unix timestamp in seconds)
End time (Unix timestamp in seconds)
Show child attributes
Show child attributes
(reserved for future use) Additional metadata for the local file group
Show child attributes
Show child attributes
Chunk metadata key configurations
Show child attributes
Show child attributes
Number of chunk metadata records extracted for this local file group

